curl --request GET \
--url https://api.exowpee.com/v1/catalog/variant-stockables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/variant-stockables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/variant-stockables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/variant-stockables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/variant-stockables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/catalog/variant-stockables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/variant-stockables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"is_tracked": true,
"is_taxable": true,
"uom_category_id": "<string>",
"max_sellable_quantity": 123,
"max_sellable_unit_id": "<string>",
"weight": 123,
"weight_unit_id": "<string>",
"volume": 123,
"volume_unit_id": "<string>",
"subject_type": "<string>",
"subject_id": "<string>",
"organization_id": "<string>",
"options": {},
"units": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"vat_rate_id": "<string>",
"tax_configuration_mode": "<string>",
"vat_rate": {},
"taxes": "<array>"
}
],
"meta": {
"per_page": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}
}{
"message": "<string>",
"errors": {}
}List product variants for stock
Lists the items of product variants of the organization with their measurements, tax settings and units, searchable by product title, option value, SKU or barcode, as a cursor page (up to 1000 per page).
curl --request GET \
--url https://api.exowpee.com/v1/catalog/variant-stockables \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.exowpee.com/v1/catalog/variant-stockables"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.exowpee.com/v1/catalog/variant-stockables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.exowpee.com/v1/catalog/variant-stockables",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.exowpee.com/v1/catalog/variant-stockables"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.exowpee.com/v1/catalog/variant-stockables")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.exowpee.com/v1/catalog/variant-stockables")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"is_tracked": true,
"is_taxable": true,
"uom_category_id": "<string>",
"max_sellable_quantity": 123,
"max_sellable_unit_id": "<string>",
"weight": 123,
"weight_unit_id": "<string>",
"volume": 123,
"volume_unit_id": "<string>",
"subject_type": "<string>",
"subject_id": "<string>",
"organization_id": "<string>",
"options": {},
"units": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"vat_rate_id": "<string>",
"tax_configuration_mode": "<string>",
"vat_rate": {},
"taxes": "<array>"
}
],
"meta": {
"per_page": 123,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}
}{
"message": "<string>",
"errors": {}
}product_variants.list
Part of Create products and variants.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Position in the list. Pass the meta.next_cursor or meta.prev_cursor value of the previous page; leave it out to get the first page.
Number of items per page.
1 <= x <= 1000Field the list is sorted by.
id, status, created_at, updated_at asc for ascending order, desc for descending order.
asc, desc Free text, up to 255 characters. It is split on spaces; every word must match (case-insensitive, contains) the product title, an option value, or a unit of sale SKU or barcode.
255Response mode. Default resource; none answers 204 No Content.
resource Comma-separated JSON keys of the root resource (id is always rendered). Available: vat_rate_id, tax_configuration_mode, id, name, status, is_tracked, is_taxable, uom_category_id, max_sellable_quantity, max_sellable_unit_id, weight, weight_unit_id, volume, volume_unit_id, subject_type, subject_id, organization_id, options, created_at, updated_at.
Comma-separated include paths, each optionally followed by its fields in parentheses: units(id,sku),units.uomUnit(id,name). Max depth 6, max 40 paths. Available: vat_rate, taxes, units, units.uomUnit, units.prices, units.stockable.